#include <DallasTemperature.h>  //Bibliotheken einbinden
#include <OneWire.h>            //Bibliotheken einbinden
#include <U8g2lib.h>            //Bibliotheken einbinden
#include <Wire.h>               //Bibliotheken einbinden

int ONE_WIRE_BUS = 8;  // DS18B20 am digitalen Pin 8

OneWire oneWire(ONE_WIRE_BUS);  // Übergabe der OneWire Referenz zum
                                // Kommunizieren mit dem Sensor.
DallasTemperature sensors(&oneWire);
U8G2_SH1106_128X64_NONAME_F_HW_I2C u8g2(U8G2_R0, /* reset=*/
                                        U8X8_PIN_NONE);

void setup(void) {
  u8g2.begin();     // Display starten
  sensors.begin();  // Temperatursonde startet
}

void loop(void) {
  sensors.requestTemperatures();             // Temperatur wird gemessen
  float tempC = sensors.getTempCByIndex(0);  // in TempC wird Temperatur
                                             // gespeichert
  u8g2.firstPage();  // spart Arbeitsspeicher Bildschleife startet
  do {               // Schleife beginnt
    u8g2.setFont(u8g2_font_ncenB14_tr);  // Schriftart auswählen
    u8g2.drawStr(0, 15, "Temperatur:");  // Temperatur auf Display schreiben
    u8g2.drawStr(0, 35, String(tempC).c_str());
  }                         // Aktuelle TempC wird wiedergegeben
  while (u8g2.nextPage());  // Befehlaktualisierung

  delay(1000);  // Verzögerung von 1000ms
}